function [dx, dy] = mcdPositionBtuB(membrane_table, R_OmpA, R_OmpF, R_BtuB, range_x, range_y)

BtuB_boundary = (R_BtuB + 2*R_OmpF + R_OmpF/tan(30*pi/180) - R_OmpF- R_OmpF*tan(30*pi/180));

accepted_cnd = 0;

while accepted_cnd == 0
    dx = (range_x/2)*(2*ceil((rand)-0.5)-1)*rand(1,1);
    dy = (range_y/2)*(2*ceil((rand)-0.5)-1)*rand(1,1);
    membrane_table_local = mcdCreateLocalTable(membrane_table, dx, dy, BtuB_boundary, 0);
    [accepted_cnd] = mcdComparePositions(membrane_table_local, dx, dy, 0, 3, R_OmpF, R_OmpA, R_BtuB, range_x, range_y);    
end