function [residual] = efCalcResidual(x, y, curve_type, p)

if strcmpi(curve_type, 'sigmoidal')
    new_y = p(1)./(1 + exp(-p(2)*(x-p(3))));
    residual = mean((y - new_y).^2);
    plot(x,y,'r')
    hold on
    curr = plot(x, new_y,'bo');
    pause(0.01)
    delete(curr)
end

