function [msd_sum_table, msd_average_table, M_table] = mcdCalculateMSD(output_table, msd_sum_table, msd_average_table, n_table, prev_n_table, M_table)

temp_table = ((output_table(:,1)-output_table(1,1)).^2)+((output_table(:,2)-output_table(1,2)).^2);    %The first step in calculating MSD
temp_table(find(isnan(temp_table(:,1))),:) = 0;
msd_sum_table = msd_sum_table + temp_table;
M_table = M_table + (temp_table - msd_average_table).*(temp_table - (msd_sum_table./n_table)).*(n_table-prev_n_table);

%Updating the msd_average_table with the new data
msd_average_table = msd_sum_table./n_table;