function [accepted, real_separation] = mcdCompareTriTri(Tri_A_x, Tri_A_y, Tri_A_theta, Tri_B_x, Tri_B_y, Tri_B_theta, R_Tri)

test_x = Tri_B_x + 0*cos((-Tri_B_theta-60)*pi/180)-R_Tri/cos((30)*pi/180)*sin((-Tri_B_theta-60)*pi/180);
test_y = Tri_B_y + 0*sin((-Tri_B_theta-60)*pi/180)+R_Tri/cos((30)*pi/180)*cos((-Tri_B_theta-60)*pi/180);
real_separation_1 = sqrt((test_x-Tri_A_x).^2+(test_y-Tri_A_y).^2);
[min_dist] = mcdMinTriDistance(Tri_A_x, test_x, Tri_A_y, test_y, Tri_A_theta, R_Tri, R_Tri);

if real_separation_1 > min_dist
    accepted = 1;
    
else
    accepted = 0;
    
end

test_x = Tri_B_x + 0*cos((-Tri_B_theta-180)*pi/180)-R_Tri/cos((30)*pi/180)*sin((-Tri_B_theta-180)*pi/180);
test_y = Tri_B_y + 0*sin((-Tri_B_theta-180)*pi/180)+R_Tri/cos((30)*pi/180)*cos((-Tri_B_theta-180)*pi/180);
real_separation_2 = sqrt((test_x-Tri_A_x).^2+(test_y-Tri_A_y).^2);
[min_dist] = mcdMinTriDistance(Tri_A_x, test_x, Tri_A_y, test_y, Tri_A_theta, R_Tri, R_Tri);

if real_separation_2 > min_dist && accepted ~= 0
    accepted = 1;
    
else
    accepted = 0;
    
end

test_x = Tri_B_x + 0*cos((-Tri_B_theta-300)*pi/180)-R_Tri/cos((30)*pi/180)*sin((-Tri_B_theta-300)*pi/180);
test_y = Tri_B_y + 0*sin((-Tri_B_theta-300)*pi/180)+R_Tri/cos((30)*pi/180)*cos((-Tri_B_theta-300)*pi/180);
real_separation_3 = sqrt((test_x-Tri_A_x).^2+(test_y-Tri_A_y).^2);
[min_dist] = mcdMinTriDistance(Tri_A_x, test_x, Tri_A_y, test_y, Tri_A_theta, R_Tri, R_Tri);

if real_separation_3 > min_dist && accepted ~= 0
    accepted = 1;
    
else
    accepted = 0;
    
end

real_separation = min([real_separation_1, real_separation_2, real_separation_3]);