function [dx dy] = mcdDiffuseBtuB(OmpF_table_local, OmpA_table_local, original_dx, original_dy, D, dt_s, R_OmpA, R_OmpF, R_BtuB, range_x, range_y)

[dx dy] = mcdConstStepDiff(D,dt_s, original_dx, original_dy);

[accepted_cnd] = mcdComparePositions(OmpF_table_local(:,:), dx, dy, 0, 3, R_OmpF, R_OmpA, R_BtuB, range_x*2, range_y*2);

if accepted_cnd == 1
    [accepted_cnd] = mcdComparePositions(OmpA_table_local(:,:), dx, dy, 0, 3, R_OmpF, R_OmpA, R_BtuB, range_x*2, range_y*2);
end

if accepted_cnd == 0
    dx = original_dx;
    dy = original_dy;
end