function [min_dist] = mcdMinOmpFDist(x1, x2, y1, y2, theta1, R1, R2)

    theta_initial = mod((atan2((x2-x1),(y2-y1))),2*pi)*180/pi;
    theta = theta_initial-theta1;
    
    if theta > -360 && theta <= -240
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60+360))^2)+(R1/cosd(30))*cosd(theta-60+360);
        
    elseif theta > -240 && theta <= -120
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60+240))^2)+(R1/cosd(30))*cosd(theta-60+240);
        
    elseif theta > -120 && theta <= 0
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60+120))^2)+(R1/cosd(30))*cosd(theta-60+120);
        
    elseif theta > 0 && theta <= 120
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60))^2)+(R1/cosd(30))*cosd(theta-60);
        
    elseif theta > 120 && theta <= 240
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60-120))^2)+(R1/cosd(30))*cosd(theta-60-120);
        
    elseif theta > 240 && theta <= 360
        min_dist = sqrt((R1+R2)^2-(R1/cosd(30))^2*(sind(theta-60-240))^2)+(R1/cosd(30))*cosd(theta-60-240);
  
    else
        disp 'ruhroh'
        
    end
