function [sign] = mcdSignGeneration

%This randomly generates either "-1" or "1", which can be multiplied by a
%value to randomise its sign

found_value = 0; %If the "rand" function produces 0.5, no sign will be assigned.  Therefore, the loop has to repeat.  Once a value has been assigned "found_value" turns to "1"
while found_value == 0
    
    sign_value = rand(1,1);  %Randomly assigning sign.  Assuming selecting 0.5 to one side as insignificant
    
    if sign_value > 0.5 %A random number above 0.5 gives a negative value
        sign = -1;
        found_value = 1;
        
    elseif sign_value < 0.5 %A random number below 0.5 gives a positive number
        sign = 1;
        found_value = 1;
        
    end
    
end