function mtDriftCorrect(filename, ext)

[data, names] = xlsread(strcat([filename, '.', ext]));

av_table(:,1) = mean(data(:, 2:3:size(data,2)),2);
av_table(:,2) = mean(data(:, 3:3:size(data,2)),2);

corr_data = data;

for i = 2:3:size(data,2)
corr_data(:, i) = data(:, i) - av_table(:,1);
corr_data(:, i+1) = data(:, i+1) - av_table(:,2);
end

xlswrite(strcat([filename, '_drift corrected.', ext]), [names; num2cell(corr_data)]);