%MODE_CHOICE.M

%This function presents the use with a dialog asking which mode they would
%like to run.

%OUTPUTS:
%"mode_options_choice" is the chosen mode identified by a number


function [mode_options_choice] = mtModeChoice

%Asking the user which mode to go into.  'mode_options_list' is set to a
%number (1-5) relating to the option in the list
mode_options_list = [{'Particle tracking'};{'Select particles'}; {'Create settings file'};{'Trace paths (image)'}; ...
    {'Trace paths (movie)'};{'Analyse data'};{'Analyse sequence data'}];

mode_options_choice = listdlg('PromptString','Please choose a mode: ', ...
    'SelectionMode', 'single', 'ListString', mode_options_list, ...
    'ListSize', [200 150]);